
Foreman - Feature #30288

replace the existing CPU/Cores/Socket input

07/02/2020 07:17 AM - yifat makias

Status: Closed   

Priority: Normal   

Assignee: yifat makias   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link: 1874889 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7865,

https://github.com/theforeman/foreman/p

ull/8453

  

Description

In order to eventually replace the jquery-ui-spinner, there is a need to replace the existing CPU/Cores/Socket input with the new

react component.

Related issues:

Related to Foreman - Feature #21918: Remove jquery-ui-spinner and move to a r... Duplicate 12/10/2017

Related to Foreman - Feature #29900: Add cpu/cores/socket react component Closed

Blocks Foreman - Refactor #21641: Drop jquery-ui spinners in favor of React i... Closed

Associated revisions

Revision 22fa1637 - 04/08/2021 11:31 AM - yifat makias

Fixes #30288 - replace CPU/Cores/socket input to react comp

Revision 361f3d61 - 04/25/2021 02:38 PM - Ondřej Ezr

Refs #30288 - improves CPUs counter input

In 22fa163731b38f597e4f96e0c0b345518a360b37 we've introduced React

component to implement the counter funcionality.

This uses the old `counter_f` form helper to render the React component

and effectivelly remove our dependency on the ui.spinner library.

History

#1 - 07/02/2020 07:18 AM - yifat makias

- Related to Feature #21918: Remove jquery-ui-spinner and move to a react implementation added

#2 - 07/02/2020 07:19 AM - yifat makias

- Related to Feature #29900: Add cpu/cores/socket react component added

#3 - 07/29/2020 07:13 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7865 added

#4 - 04/08/2021 11:30 AM - Ondřej Ezr

- Blocks Refactor #21641: Drop jquery-ui spinners in favor of React imlementation added

#5 - 04/08/2021 11:31 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#6 - 04/08/2021 12:01 PM - yifat makias
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|22fa163731b38f597e4f96e0c0b345518a360b37.

#7 - 04/20/2021 11:08 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8453 added

#8 - 10/18/2021 12:46 PM - Tomer Brisker

- Bugzilla link set to 1874889
